--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.D_DECL_COMBO.rptdattr1.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *      Short can be used at most once.
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((short short int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.D_DECL_COMBO.rptdattr2.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *      Signed can be used at most once.
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((signed signed int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.D_DECL_COMBO.rptdattr3.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *      Unsigned can be used at most once.
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((unsigned unsigned int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.D_DECL_COMBO.rptdattr4.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *	Long can only be used at most twice
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((long long long int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.D_DECL_COMBO.rptdattr5.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *	Long can only be used at most twice
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((long long long long int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.EDT_NOTYPE.cmbdatt1.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *	Long and short attributes can't be used together
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((long short int)arg0);
+	exit(0);
+}
--- /dev/null	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/dtrace/test/tst/common/types/err.EDT_NOTYPE.cmbdatt2.d	Tue Apr 22 05:37:41 2014
@@ -0,0 +1,43 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+
+/*
+ * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+/*
+ * Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+ */
+
+/*
+ * ASSERTION:
+ *      Signed and unsigned attributes can't be used together
+ *
+ * SECTION: Types, Operators, and Expressions/Data Types and Sizes
+ */
+
+
+BEGIN
+{
+	trace((signed unsigned int)arg0);
+	exit(0);
+}
--- old/usr/src/cmd/ndmpd/ndmp/ndmpd_mover.c	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/ndmpd/ndmp/ndmpd_mover.c	Tue Apr 22 05:37:41 2014
@@ -763,6 +763,8 @@
 	(void) mutex_lock(&nlp->nlp_mtx);
 	session->ns_mover.md_state = NDMP_MOVER_STATE_ACTIVE;
 	session->ns_mover.md_pause_reason = NDMP_MOVER_PAUSE_NA;
+	/* The tape has been likely exchanged, reset tape block counter */
+	session->ns_tape.td_record_count = 0;
 	(void) cond_broadcast(&nlp->nlp_cv);
 	(void) mutex_unlock(&nlp->nlp_mtx);
 
--- old/usr/src/cmd/ndmpd/ndmp/ndmpd_util.c	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/ndmpd/ndmp/ndmpd_util.c	Tue Apr 22 05:37:41 2014
@@ -1134,12 +1134,8 @@
 	}
 	(void) mutex_unlock(&nlp->nlp_mtx);
 
-	if (session->ns_mover.md_state == NDMP_MOVER_STATE_ACTIVE) {
-		session->ns_tape.td_record_count = 0;
-		return (0);
-	}
-
-	return (-1);
+	return ((session->ns_mover.md_state == NDMP_MOVER_STATE_ACTIVE) ?
+	    0 : -1);
 }
 
 /*
--- old/usr/src/cmd/perl/Makefile	Tue Apr 22 05:37:41 2014
+++ new/usr/src/cmd/perl/Makefile	Tue Apr 22 05:37:42 2014
@@ -1,63 +1,37 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright (c) 2014 Racktop Systems.
 #
-# CDDL HEADER END
-#
 
-#
-# Copyright (c) 2001, 2010, Oracle and/or its affiliates. All rights reserved.
-#
+include $(SRC)/cmd/Makefile.cmd
 
-include ../Makefile.cmd
+SUBDIRS = \
+	contrib/Sun/Solaris/BSM \
+	contrib/Sun/Solaris/Intrs \
+	contrib/Sun/Solaris/Kstat \
+	contrib/Sun/Solaris/Lgrp \
+	contrib/Sun/Solaris/Pg \
+	contrib/Sun/Solaris/Project \
+	contrib/Sun/Solaris/Task \
+	contrib/Sun/Solaris/Utils
 
-all	:= TARGET = all
-install	:= TARGET = install
-clobber := TARGET = clobber
-clean	:= TARGET = clean
-test	:= TARGET = test
+all :=		TARGET = all
+install :=	TARGET = install
+clean :=	TARGET = clean
+clobber :=	TARGET = clobber
 
-# PERL_LEGACY is versions of Perl still delivered through ON
-PERL_VERSIONS = 5.16.1
+all install clean clobber: $(SUBDIRS)
 
-all install test: $(PERL_VERSIONS)-$(MACH) .WAIT $(PERL_VERSIONS)-$(MACH64)
+$(SUBDIRS): FRC
+	@cd $@; pwd; $(MAKE) $(TARGET)
 
-clean: FRC
-
-clobber: clean
-	$(RM) -r $(PERL_VERSIONS)-$(MACH) $(PERL_VERSIONS)-$(MACH64)
-
-#
-# Perl is not lint-clean.  Fake up a target.
-#
-lint:
-	@ $(ECHO) "usr/src/cmd/perl is not lint-clean: skipping"
-	@ $(TRUE)
-
-$(PERL_VERSIONS)-$(MACH): FRC
-	@ if [ ! -d $@ ]; then \
-	    $(CP) -r skel $@; \
-	fi
-	@ cd $@; pwd; PERL_VERSION=$(PERL_VERSIONS) PERLARCH=$(MACH) $(MAKE) $(TARGET)
-
-$(PERL_VERSIONS)-$(MACH64): FRC
-	@ if [ ! -d $@ ]; then \
-	    $(CP) -r skel $@; \
-	fi
-	@ cd $@; pwd; PERL_VERSION=$(PERL_VERSIONS) PERLARCH=$(MACH64) $(MAKE) $(TARGET)
-
 FRC:
--- /dev/null	Tue Apr 22 05:37:42 2014
+++ new/usr/src/cmd/perl/Makefile.perl	Tue Apr 22 05:37:42 2014
@@ -0,0 +1,49 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All right reserved.
+#
+
+include $(SRC)/lib/Makefile.lib
+
+PERL_VERSION = 5.16.1
+
+PERL_ARCH = i86pc-solaris-thread-multi-64int
+$(SPARC_BLD)PERL_ARCH = sun4-solaris-thread-multi-64int
+PERL_ARCH64 = i86pc-solaris-thread-multi-64
+$(SPARC_BLD)PERL_ARCH64 = sun4-solaris-thread-multi-64
+
+
+PERLDIR = $(ADJUNCT_PROTO)/usr/perl5/$(PERL_VERSION)
+PERLLIBDIR = $(PERLDIR)/lib/$(PERL_ARCH)
+PERLLIBDIR64 = $(PERLDIR)/lib/$(PERL_ARCH64)
+PERLINCDIR = $(PERLLIBDIR)/CORE
+PERLINCDIR64 = $(PERLLIBDIR64)/CORE
+
+PERLMOD = $(MODULE).pm
+PERLEXT = $(MACH)/$(MODULE).so
+PERLEXT64 = $(MACH64)/$(MODULE).so
+
+ROOTPERLDIR = $(ROOT)/usr/perl5/$(PERL_VERSION)
+ROOTPERLLIBDIR = $(ROOTPERLDIR)/lib/$(PERL_ARCH)
+ROOTPERLMODDIR = $(ROOTPERLLIBDIR)/Sun/Solaris
+ROOTPERLEXTDIR = $(ROOTPERLLIBDIR)/auto/Sun/Solaris/$(MODULE)
+ROOTPERLLIBDIR64 = $(ROOTPERLDIR)/lib/$(PERL_ARCH64)
+ROOTPERLMODDIR64 = $(ROOTPERLLIBDIR64)/Sun/Solaris
+ROOTPERLEXTDIR64 = $(ROOTPERLLIBDIR64)/auto/Sun/Solaris/$(MODULE)
+
+ROOTPERLMOD = $(ROOTPERLMODDIR)/$(MODULE).pm
+ROOTPERLEXT = $(ROOTPERLEXTDIR)/$(MODULE).so
+ROOTPERLMOD64 = $(ROOTPERLMODDIR64)/$(MODULE).pm
+ROOTPERLEXT64 = $(ROOTPERLEXTDIR64)/$(MODULE).so
+
+C99MODE = $(C99_ENABLE)
--- /dev/null	Tue Apr 22 05:37:42 2014
+++ new/usr/src/cmd/perl/Makefile.targ	Tue Apr 22 05:37:42 2014
@@ -0,0 +1,70 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All right reserved.
+#
+
+# Link against libc as perl solaris specs
+$(PERLEXT):= LDLIBS += -lc
+$(PERLEXT64):= LDLIBS += -lc
+
+# Allow for undefined symbols satisfied by perl
+$(PERLEXT):= ZDEFS =
+$(PERLEXT64):= ZDEFS =
+
+$(ROOTPERLEXT) := FILEMODE = 0555
+$(ROOTPERLMOD) := FILEMODE = 0444
+$(ROOTPERLEXT64) := FILEMODE = 0555
+$(ROOTPERLMOD64) := FILEMODE = 0444
+
+$(MACH) $(MACH64):
+	$(INS.dir)
+
+$(PERLEXT): $(MACH)/$(MODULE).o
+	$(BUILD.SO) $(MACH)/$(MODULE).o
+
+$(PERLEXT64): $(MACH64)/$(MODULE).o
+	$(BUILD.SO) -m64 $(MACH64)/$(MODULE).o
+
+# NOTE: With later version of Perl, we need to define PERL_EUPXS_ALWAYS_EXPORT
+# which is a backward-compatibility definition for the assumes-5.10 stuff here.
+$(MACH)/$(MODULE).o: $(MACH)/$(MODULE).c
+	$(COMPILE.c) -DPERL_EUPXS_ALWAYS_EXPORT $(C_PICFLAGS) -I$(PERLINCDIR) \
+	    $< -o $@
+
+$(MACH64)/$(MODULE).o: $(MACH64)/$(MODULE).c
+	$(COMPILE.c) -m64 -DPERL_EUPXS_ALWAYS_EXPORT $(C_PICFLAGS) \
+	    -I$(PERLINCDIR64) $< -o $@
+
+$(MACH)/$(MODULE).c: $(MACH) $(MODULE).xs 
+	$(PERLDIR)/bin/xsubpp $(XSUBPPFLAGS) $(MODULE).xs >$@
+
+$(MACH64)/$(MODULE).c: $(MACH64) $(MODULE).xs 
+	$(PERLDIR)/bin/xsubpp $(XSUBPPFLAGS) $(MODULE).xs >$@
+
+$(ROOTPERLMODDIR) $(ROOTPERLMODDIR64):
+	$(INS.dir)
+
+$(ROOTPERLMOD): $(ROOTPERLMODDIR) $(MODULE).pm
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
+
+$(ROOTPERLMOD64): $(ROOTPERLMODDIR64) $(MODULE).pm
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
+
+$(ROOTPERLEXTDIR) $(ROOTPERLEXTDIR64):
+	$(INS.dir)
+
+$(ROOTPERLEXT): $(ROOTPERLEXTDIR) $(MACH)/$(MODULE).so
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
+
+$(ROOTPERLEXT64): $(ROOTPERLEXTDIR64) $(MACH64)/$(MODULE).so
+	$(RM) $@; $(INS) -s -m $(FILEMODE) -f $^
--- /dev/null	Tue Apr 22 05:37:42 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/BSM/Makefile	Tue Apr 22 05:37:42 2014
@@ -0,0 +1,32 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+#
+
+MODULE = _BSMparse
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+# Install module into arch independent directory
+ROOTPERLMODDIR = $(ROOTPERLDIR)/lib/Sun/Solaris/BSM
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLMOD)
+
+install: $(ROOTPERLMOD)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- /dev/null	Tue Apr 22 05:37:42 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Intrs/Makefile	Tue Apr 22 05:37:42 2014
@@ -0,0 +1,33 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+#
+
+MODULE = Intrs
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+CERRWARN += -_gcc=-Wno-unused-variable
+
+MAPFILES = mapfile-vers
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLEXT) $(PERLMOD) $(PERLEXT64)
+
+install: $(ROOTPERLEXT) $(ROOTPERLMOD) $(ROOTPERLEXT64) $(ROOTPERLMOD64)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Intrs/mapfile-vers	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,24 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+#
+
+$mapfile_version 2
+
+SYMBOL_SCOPE {
+    global:
+	boot_Sun__Solaris__Intrs;
+	XS_Sun__Solaris__Intrs_is_apic;
+	XS_Sun__Solaris__Intrs_intrmove;
+    local:
+        *;
+};
--- old/usr/src/cmd/perl/contrib/Sun/Solaris/Kstat/Kstat.xs	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Kstat/Kstat.xs	Tue Apr 22 05:37:43 2014
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2014 Racktop Systems.
  */
 
 /*
@@ -894,7 +895,6 @@
 {
 	HV	*hash1;
 	HE	*entry1;
-	long	s;
 	int	ret;
 
 	hash1 = (HV *)SvRV(self);
@@ -902,7 +902,7 @@
 	ret = 1;
 
 	/* Iterate over each module */
-	while (entry1 = hv_iternext(hash1)) {
+	while ((entry1 = hv_iternext(hash1))) {
 		HV *hash2;
 		HE *entry2;
 
@@ -910,7 +910,7 @@
 		hv_iterinit(hash2);
 
 		/* Iterate over each module:instance */
-		while (entry2 = hv_iternext(hash2)) {
+		while ((entry2 = hv_iternext(hash2))) {
 			HV *hash3;
 			HE *entry3;
 
@@ -918,10 +918,9 @@
 			hv_iterinit(hash3);
 
 			/* Iterate over each module:instance:name */
-			while (entry3 = hv_iternext(hash3)) {
+			while ((entry3 = hv_iternext(hash3))) {
 				HV    *hash4;
 				MAGIC *mg;
-				HV    *tie;
 
 				/* Get the tie */
 				hash4 = (HV *)SvRV(hv_iterval(hash3, entry3));
@@ -976,7 +975,7 @@
 	ret = 0;
 
 	/* Iterate over each module */
-	while (entry1 = hv_iternext(hash1)) {
+	while ((entry1 = hv_iternext(hash1))) {
 		HV *hash2;
 		HE *entry2;
 
@@ -985,7 +984,7 @@
 		hv_iterinit(hash2);
 
 		/* Iterate over each module:instance */
-		while (entry2 = hv_iternext(hash2)) {
+		while ((entry2 = hv_iternext(hash2))) {
 			HV *hash3;
 			HE *entry3;
 
@@ -994,7 +993,7 @@
 			hv_iterinit(hash3);
 
 			/* Iterate over each module:instance:name */
-			while (entry3 = hv_iternext(hash3)) {
+			while ((entry3 = hv_iternext(hash3))) {
 				HV    *hash4;
 				MAGIC *mg;
 				HV    *tie;
@@ -1084,7 +1083,7 @@
 			break;
 		default:
 			PERL_ASSERTMSG(0, "kstat_read: invalid data type");
-			break;
+			continue;
 		}
 		hv_store(self, knp->name, strlen(knp->name), value, 0);
 	}
@@ -1625,7 +1624,7 @@
 	self = SvRV(self);
 	read_kstats((HV *)self, FALSE);
 	hv_iterinit((HV *)self);
-	if (he = hv_iternext((HV *)self)) {
+	if ((he = hv_iternext((HV *)self))) {
 		EXTEND(SP, 1);
 		PUSHs(hv_iterkeysv(he));
 	}
@@ -1642,7 +1641,7 @@
 	HE *he;
 PPCODE:
 	self = SvRV(self);
-	if (he = hv_iternext((HV *)self)) {
+	if ((he = hv_iternext((HV *)self))) {
 		EXTEND(SP, 1);
 		PUSHs(hv_iterkeysv(he));
 	}
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Kstat/Makefile	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,36 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+#
+
+MODULE = Kstat
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+LDLIBS += -lkstat
+
+CERRWARN += -_gcc=-Wno-unused-value
+CERRWARN += -_gcc=-Wno-unused-variable
+
+MAPFILES = mapfile-vers
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLEXT) $(PERLMOD) $(PERLEXT64)
+
+install: $(ROOTPERLEXT) $(ROOTPERLMOD) $(ROOTPERLEXT64) $(ROOTPERLMOD64)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Kstat/mapfile-vers	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,32 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+#
+
+$mapfile_version 2
+
+SYMBOL_SCOPE {
+    global:
+	boot_Sun__Solaris__Kstat;
+	XS_Sun__Solaris__Kstat___Stat_CLEAR;
+	XS_Sun__Solaris__Kstat___Stat_DELETE;
+	XS_Sun__Solaris__Kstat___Stat_EXISTS;
+	XS_Sun__Solaris__Kstat___Stat_FETCH;
+	XS_Sun__Solaris__Kstat___Stat_FIRSTKEY;
+	XS_Sun__Solaris__Kstat___Stat_NEXTKEY;
+	XS_Sun__Solaris__Kstat___Stat_STORE;
+	XS_Sun__Solaris__Kstat_DESTROY;
+	XS_Sun__Solaris__Kstat_new;
+	XS_Sun__Solaris__Kstat_update;
+    local:
+	*;
+};
--- old/usr/src/cmd/perl/contrib/Sun/Solaris/Lgrp/Lgrp.pm	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Lgrp/Lgrp.pm	Tue Apr 22 05:37:43 2014
@@ -22,6 +22,7 @@
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2014 Racktop Systems.
 #
 
 #
@@ -30,7 +31,7 @@
 #
 
 
-require 5.8.4;
+require 5.0010;
 use strict;
 use warnings;
 use Carp;
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Lgrp/Makefile	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,37 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting. All rights reserved.
+#
+
+MODULE = Lgrp
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+LDLIBS += -llgrp
+
+CERRWARN += -_gcc=-Wno-type-limits
+
+XSUBPPFLAGS = -typemap typemap
+
+MAPFILES = mapfile-vers
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLEXT) $(PERLMOD) $(PERLEXT64)
+
+install: $(ROOTPERLEXT) $(ROOTPERLMOD) $(ROOTPERLEXT64) $(ROOTPERLMOD64)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Lgrp/mapfile-vers	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,39 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+#
+
+$mapfile_version 2
+
+SYMBOL_SCOPE {
+    global:
+	boot_Sun__Solaris__Lgrp;
+	XS_Sun__Solaris__Lgrp_lgrp_affinity_get;
+	XS_Sun__Solaris__Lgrp_lgrp_affinity_set;
+	XS_Sun__Solaris__Lgrp_lgrp_children;
+	XS_Sun__Solaris__Lgrp_lgrp_cookie_stale;
+	XS_Sun__Solaris__Lgrp_lgrp_cpus;
+	XS_Sun__Solaris__Lgrp_lgrp_fini;
+	XS_Sun__Solaris__Lgrp_lgrp_home;
+	XS_Sun__Solaris__Lgrp_lgrp_init;
+	XS_Sun__Solaris__Lgrp_lgrp_latency;
+	XS_Sun__Solaris__Lgrp_lgrp_latency_cookie;
+	XS_Sun__Solaris__Lgrp_lgrp_mem_size;
+	XS_Sun__Solaris__Lgrp_lgrp_nlgrps;
+	XS_Sun__Solaris__Lgrp_lgrp_parents;
+	XS_Sun__Solaris__Lgrp_lgrp_resources;
+	XS_Sun__Solaris__Lgrp_lgrp_root;
+	XS_Sun__Solaris__Lgrp_lgrp_version;
+	XS_Sun__Solaris__Lgrp_lgrp_view;
+    local:
+	*;
+};
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Pg/Makefile	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,32 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+#
+
+MODULE = Pg
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+# Install module into arch independent directory
+ROOTPERLMODDIR = $(ROOTPERLDIR)/lib/Sun/Solaris
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLMOD)
+
+install: $(ROOTPERLMOD)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- /dev/null	Tue Apr 22 05:37:43 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Project/Makefile	Tue Apr 22 05:37:43 2014
@@ -0,0 +1,37 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+# Copyright 2014, OmniTI Computer Consulting, Inc. All rights reserved.
+#
+
+MODULE = Project
+
+include $(SRC)/cmd/perl/Makefile.perl
+
+LDLIBS += -lproject -lgen
+
+CERRWARN += -_gcc=-Wno-unused-variable
+
+XSUBPPFLAGS = -typemap typemap
+
+MAPFILES = mapfile-vers
+
+include $(SRC)/cmd/perl/Makefile.targ
+
+.KEEP_STATE:
+
+all: $(PERLEXT) $(PERLMOD) $(PERLEXT64)
+
+install: $(ROOTPERLEXT) $(ROOTPERLMOD) $(ROOTPERLEXT64) $(ROOTPERLMOD64)
+
+clean clobber:
+	$(RM) -r $(MACH) $(MACH64)
--- old/usr/src/cmd/perl/contrib/Sun/Solaris/Project/Project.pm	Tue Apr 22 05:37:44 2014
+++ new/usr/src/cmd/perl/contrib/Sun/Solaris/Project/Project.pm	Tue Apr 22 05:37:44 2014
@@ -1,5 +1,6 @@
 #
 # Copyright (c) 1999, 2008, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2014 Racktop Systems.
 #
 
 #
@@ -8,7 +9,7 @@
 # files.
 #
 ################################################################################
-require 5.8.4;
+require 5.0010;
 
 use strict;
 use warnings;
